Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: octoprint 1.2.16-1

Git Clone URL: https://aur-dev.archlinux.org/octoprint.git (read-only)
Package Base: octoprint
Description: OctoPrint provides a responsive web interface for controlling a 3D printer (RepRap, Ultimaker, ...)
Upstream URL: https://github.com/foosel/OctoPrint
Licenses: GPL
Conflicts: octoprint
Provides: octoprint
Submitter: yhfudev
Maintainer: yhfudev
Last Packager: yhfudev
Votes: 8
Popularity: 0.572061
First Submitted: 2015-06-09 16:44
Last Updated: 2016-10-20 16:26

Latest Comments

1 2 Next › Last »

Jake commented on 2017-01-15 13:04

I made now a octoprint-venv package, which can be updated easier/faster, it pulls the correct dependency versions just into a python virtual environment (as recommended in the octoprint wiki):
https://aur.archlinux.org/packages/octoprint-venv/

FirefighterBlu3 commented on 2017-01-11 22:44

more on updates needed. python2-chainmap is now in aur. python2-scandir needs armv7h added to arch. not compatible with modern tornado, wants octoprint startup method changed, needs default_max_body_size removed, needs all max_body_sizes renamed to singular; max_body_size (kw change in tornado), needs python2-markdown. then it works great

Jake commented on 2016-12-25 13:24

It is again outdated since multiple releases... latest is 1.3.0.
So i tried to make a working PKGBUILD, but it is pretty complicated, this version needs new dependencies: feeparser, future, chainmap, scandir, click (for chainmap exists no arch package). The tornado patch does not work anymore, it requries 4.0.2 and after all of this sorted out there is a problem with Flask (unsupported version as always).

Evils commented on 2016-06-22 09:34

Meanwhile there has been a new release - again -...
How about updating this?

nigeil commented on 2016-06-21 18:25

I am running into issues when I attempt to install plugins for Octoprint via its web interface, of the sort:
"
Could not import OctoPrint's setuptools, are you sure you are running that under the same python installation that OctoPrint is installed under?
----------------------------------------
Command "python setup.py egg_info" failed with error code 255 in /tmp/pip-5befmg6s-build/
Done!
"
Has anyone else run into such issues installing from this PKGBUILD, and if so, how did you address them?

Jake commented on 2016-04-17 19:47

I fixed the "python2-awesome-slugify" PKGBUILD and submitted it to the AUR, it should work now!

Jake commented on 2016-02-13 14:57

Please add 'armv7h' to the arch array, or change it to 'any' (as suggested in the wiki, Python package guidelines). It runs perfectly for example on Allwinner H3 (ARMv7h) based boards.

yhfudev commented on 2016-01-17 13:01

@o080o
Maybe it's fixed in py2serial-3.0.1?
./build/lib/serial/serialutil.py:172: if 'writeTimeout' in kwargs:

o080o commented on 2016-01-10 02:43

I ran into an error with pyserial while trying to connect to my printer. On the terminal there was an error about an 'unexpected keyword argument writeTimeout'. Apparently in pyserial 3.0, this was changed from 'writeTimeout' to 'write_timeout'.

I fixed this error by downgrading to pyserial 2.7, for anyone else with the same error. Perhaps the dependencies can reflect this?

yhfudev commented on 2015-11-11 17:22

I temporally solved the octoprint depending python2-tornado 4.0.1 by removing the arguments from util.tornado.CustomHTTPServer for the version 1.2.7!